IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_30_query]') AND type = 'P')
DROP PROCEDURE [dbo].[order_30_query]
GO
CREATE  procedure order_30_query(
@cmpid int,@branchid int,@userdpid int,@userotid int ,@useruid int ,@bizid int ,@finished int ,@status nvarchar(50),@pagesize int , @pagecount int , @pageobjids varchar(8000),@ord_tjgw_min varchar(100), @ord_tjgw_max varchar(100),@ord_cuname_min varchar(100), @ord_cuname_max varchar(100),@ord_yply_min varchar(100), @ord_yply_max varchar(100),@ord_msjg_min varchar(100), @ord_msjg_max varchar(100)) as begin  
set nocount on  

declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1') 
declare @s1 varchar(8000) 
declare @s2 varchar(100) 
declare @i int 
declare @amount int 
select @amount = @pagecount*@pagesize 
declare @pobjs table(nid int identity(1, 1), ordid bigint) 
set @s1 = @pageobjids 
while (@s1>'') 
begin 
set @i = charindex(',', @s1) 
if (@i>0) 
begin 
set @s2 = substring(@s1,1,@i-1) 
set @s1 = substring(@s1,@i+1,len(@s1)-@i) 
end else  
begin 
set @s2 = @s1 
set @s1 = '' 
end 
insert into @pobjs(ordid) values(convert(bigint,@s2)) 
end 
if (exists (select top 1 * from @pobjs)) 
begin 
select a.* from order_30 a, @pobjs
where ord_id=ordid
order by nid 
select a.* from order_30_users a , @pobjs 
where ordp_ordid=ordid and ordp_cuid=@useruid
return 
end 
if (@status is null or @status = '_none_') set @status = '' 


if (@ord_tjgw_min is null or @ord_tjgw_min = '_none_') set @ord_tjgw_min = '' 
if (@ord_tjgw_max is null or @ord_tjgw_max = '_none_') set @ord_tjgw_max = '' 

if (@ord_cuname_min is null or @ord_cuname_min = '_none_') set @ord_cuname_min = '' 
if (@ord_cuname_max is null or @ord_cuname_max = '_none_') set @ord_cuname_max = '' 

if (@ord_yply_min is null or @ord_yply_min = '_none_') set @ord_yply_min = '' 
if (@ord_yply_max is null or @ord_yply_max = '_none_') set @ord_yply_max = '' 

if (@ord_msjg_min is null or @ord_msjg_min = '_none_') set @ord_msjg_min = '' 
if (@ord_msjg_max is null or @ord_msjg_max = '_none_') set @ord_msjg_max = '' 

if @ord_tjgw_min>'' 
begin 
if (charindex('%',@ord_tjgw_min) = 0 and @ord_tjgw_min!='_empty_') 
 begin
set @ord_tjgw_min = '%'+@ord_tjgw_min+'%';
 end else if (@ord_tjgw_min='_empty_') set @ord_tjgw_min='' 
end else
begin 
set @ord_tjgw_min = '%' 
end
if @ord_tjgw_max>'' 
begin 
if (charindex('%', @ord_tjgw_max) = 0 and @ord_tjgw_max!='_empty_') 
begin
set@ord_tjgw_max = '%'+@ord_tjgw_max+'%';
 end else if (@ord_tjgw_max='_empty_') set @ord_tjgw_max='' 
end else
begin 
set @ord_tjgw_max = '%' 
end

if @ord_cuname_min>'' 
begin 
if (charindex('%',@ord_cuname_min) = 0 and @ord_cuname_min!='_empty_') 
 begin
set @ord_cuname_min = '%'+@ord_cuname_min+'%';
 end else if (@ord_cuname_min='_empty_') set @ord_cuname_min='' 
end else
begin 
set @ord_cuname_min = '%' 
end
if @ord_cuname_max>'' 
begin 
if (charindex('%', @ord_cuname_max) = 0 and @ord_cuname_max!='_empty_') 
begin
set@ord_cuname_max = '%'+@ord_cuname_max+'%';
 end else if (@ord_cuname_max='_empty_') set @ord_cuname_max='' 
end else
begin 
set @ord_cuname_max = '%' 
end

if @ord_yply_min>'' 
begin 
if (charindex('%',@ord_yply_min) = 0 and @ord_yply_min!='_empty_') 
 begin
set @ord_yply_min = '%'+@ord_yply_min+'%';
 end else if (@ord_yply_min='_empty_') set @ord_yply_min='' 
end else
begin 
set @ord_yply_min = '%' 
end
if @ord_yply_max>'' 
begin 
if (charindex('%', @ord_yply_max) = 0 and @ord_yply_max!='_empty_') 
begin
set@ord_yply_max = '%'+@ord_yply_max+'%';
 end else if (@ord_yply_max='_empty_') set @ord_yply_max='' 
end else
begin 
set @ord_yply_max = '%' 
end

if @ord_msjg_min>'' 
begin 
if (charindex('%',@ord_msjg_min) = 0 and @ord_msjg_min!='_empty_') 
 begin
set @ord_msjg_min = '%'+@ord_msjg_min+'%';
 end else if (@ord_msjg_min='_empty_') set @ord_msjg_min='' 
end else
begin 
set @ord_msjg_min = '%' 
end
if @ord_msjg_max>'' 
begin 
if (charindex('%', @ord_msjg_max) = 0 and @ord_msjg_max!='_empty_') 
begin
set@ord_msjg_max = '%'+@ord_msjg_max+'%';
 end else if (@ord_msjg_max='_empty_') set @ord_msjg_max='' 
end else
begin 
set @ord_msjg_max = '%' 
end
 
    
if (@finished = -11)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_30 a,order_30_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished > 0 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished > 0
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_30 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished > 0
order by nid 
-- 返回权限 
select a.* from order_30_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -10)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_30 a,order_30_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_30 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
order by nid 
-- 返回权限 
select a.* from order_30_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 2)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_30 a,order_30_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished>=2 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished>=2 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_30 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished>=2 
order by nid 
-- 返回权限 
select a.* from order_30_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_30 a,order_30_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ordp_ordid=a.ord_id 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_finished<=1)
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_finished<=1)
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_30 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_finished<=1) 
order by nid 
-- 返回权限 
select a.* from order_30_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_30 a,order_30_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_finished=-1 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ord_finished=-1 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_30 a,order_30_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_tjgw like @ord_tjgw_min 
and ord_tjgw like @ord_tjgw_max 
and ord_cuname like @ord_cuname_min 
and ord_cuname like @ord_cuname_max 
and ord_yply like @ord_yply_min 
and ord_yply like @ord_yply_max 
and ord_msjg like @ord_msjg_min 
and ord_msjg like @ord_msjg_max 
order by ord_date desc,ord_tjgw,ord_cuname,ord_yply,ord_msjg
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_30 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and ord_finished=-1 
order by nid 
-- 返回权限 
select a.* from order_30_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end 
set nocount off end